Bug 575512 - libvirt: virsh man page doesn't mention 'list' options --all, --inactive
libvirt: virsh man page doesn't mention 'list' options --all, --inactive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-21 01:09 EDT by Renich Bon Ciric
Modified: 2010-07-08 14:18 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.7.1-18.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 14:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a screenshot of the virsh list --all working (11.88 KB, image/png)
2010-03-21 01:10 EDT, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2010-03-21 01:09:18 EDT
Description of problem:
man:virsh doesn't mention list [--inactive] [-all]

Version-Release number of selected component (if applicable):
libvirt-client-0.7.1-15.fc12.x86_64

How reproducible:
man virsh
/--all

Steps to Reproduce:
1. Install it
2. man virsh
3. Look for the list option or look for all the --all
  
Actual results:
they're not there

Expected results:
the info should be there. This feature is very important if you use commandline only (which is the recommended configuration for a virtualization server, no?)


Additional info:
http://www.centos.org/docs/5/html/5.2/Virtualization/chap-Virtualization-Managing_guests_with_virsh.html (3/4 down)

I tested it on fedora 12 and it works fine.
Comment 1 Renich Bon Ciric 2010-03-21 01:10:47 EDT
Created attachment 401525 [details]
a screenshot of the virsh list --all working

This is proof that it works fine.
Comment 2 Justin Clift 2010-06-01 23:00:08 EDT
A patch to fix this has been accepted and applied upstream, so this should be resolved with the next major libvirt-client release. (libvirt-client-0.8.5 maybe?)
Comment 3 Cole Robinson 2010-06-02 09:46:04 EDT
Thanks, moving to POST, should be a simple backport.
Comment 4 Fedora Update System 2010-06-17 12:56:09 EDT
libvirt-0.7.1-18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 5 Fedora Update System 2010-06-21 09:02:56 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 6 Fedora Update System 2010-07-08 14:17:49 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.